Bug 1252139 - Misleading error message: No subscriptions found. Check your account in in the Red Hat Customer Portal to verify you have subscriptions available
Misleading error message: No subscriptions found. Check your account in in t...
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 1.0
Assigned To: jmagen@redhat.com
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 15:47 EDT by John Matthews
Modified: 2016-04-29 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2015-08-10 15:47:29 EDT
Description of problem:

If there are no free/unassociated subscriptions in an account then the WebUI will currently display what looks like an error in Step 4C.

"No subscriptions found. Check your account in in the Red Hat Customer Portal to verify you have subscriptions available"


This may confuse a user into thinking they have no subscriptions, yet the error is really reflecting there are no free subscriptions available to potentially add to the selected subscription manifest application.


Version-Release number of selected component (if applicable):

# rpm -qa | grep fusor_ui
ruby193-rubygem-fusor_ui-0.0.1-66.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Assign all subscriptions in your account so you have no free subscriptions
2. Proceed with a deployment
3. Go up to step 4c and you will see the message

Actual results:

"No subscriptions found. Check your account in in the Red Hat Customer Portal to verify you have subscriptions available"

Expected results:

A warning about not seeing free subscriptions to add to the manifest, along with a count of the current subscriptions available in the selected subscription management application. 


Additional info:
Comment 1 John Matthews 2015-08-12 11:12:35 EDT
Message has been updated to reflect the issue, it's no longer an error.
Comment 2 Antonin Pagac 2015-09-08 11:54:10 EDT
rc4 - RHCI-6.0-RHEL-7-20150829.0-RHCI-x86_64-dvd1.iso

The message now states:

"You have no additional subscriptions to add to this subscription management application. Please see the Red Hat Customer Portal for more information."

Note You need to log in before you can comment on or make changes to this bug.